View Issue Details

IDProjectCategoryView StatusLast Update
0028832FPCCompilerpublic2016-11-13 22:53
ReporterCyrax Assigned ToSven Barth  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformWindows OSServer 2008 R2 
Product Version3.1.1 
Fixed in Version3.1.1 
Summary0028832: "Error : Type mismatch" when trying to create a generic class which uses High/Low compiler intrinsic functions.
DescriptionSee summary, Additional Information and attached project for more info.

Only Length compiler intrinsic function works.
Additional InformationLazarus revision 50022
FPC revision 31987
 
FPC make commands:
clean
all
install
OPT=-gw2 -godwarfsets -godwarfmethodclassprefix -gl -O- -Xs- -Si- -vbq -XX -CX -dTEST_WIN32_SEH
COMPILER_OPTIONS=-gw2 -godwarfsets -godwarfmethodclassprefix -gl -O- -Xs- -Si- -vbq -XX -CX -dTEST_WIN32_SEH
INSTALL_PREFIX=F:\free_pascal_and_lazarus\fpc\i386\trunk\binary\fpc_trunk
UPXPROG=echo
IDE=1
REVSTR=31987
ALLOW_WARNINGS=1
NOWPOCYCLE=1
 
Lazarus make commands:
clean
all
OPT=-gw2 -godwarfsets -godwarfmethodclassprefix -gl -gh -O- -OoNO -Xs- -Si- -vb -XX -CX -dTEST_WIN32_SEH -dHEAPTRC_WINDOW -dDBG_WITH_DEBUGGER_DEBUG
UPXPROG=echo
USESVN2REVISIONINC=0

---

Compile attached project with these command line options : -MObjFPC -Scghi -gw2 -godwarfsets -gl -l -vewnhibq -Filib\i386-win32-win32-30101 -Fu. -FUlib\i386-win32-win32-30101 -FEbin\i386-win32-win32-30101\ -godwarfmethodclassprefix
Tagsgenerics
Fixed in Revision33884
FPCOldBugId
FPCTarget
Attached Files

Activities

Cyrax

2015-10-12 00:32

reporter  

project1.zip (1,486 bytes)

Cyrax

2015-11-21 20:46

reporter  

project2.zip (1,469 bytes)

Cyrax

2015-11-21 20:47

reporter  

error_output.txt (1,275 bytes)   
Hint: (11030) Start of reading config file F:\free_pascal_and_lazarus\fpc\i386\trunk\binary\fpc_trunk\bin\i386-win32\fpc.cfg
Hint: (11031) End of reading config file F:\free_pascal_and_lazarus\fpc\i386\trunk\binary\fpc_trunk\bin\i386-win32\fpc.cfg
Free Pascal Compiler version 3.1.1-r32443 [2015/11/21] for i386
Copyright (c) 1993-2015 by Florian Klaempfl and others
(1002) Target OS: Win32 for i386
(3104) Compiling project1.lpr
U:\32-bit\kielet\pascal\free_pascal\lazarus\projects\research\source 29\fpc generic functions test 02\project1.lpr(14,11) Error: (4000) Type mismatch
U:\32-bit\kielet\pascal\free_pascal\lazarus\projects\research\source 29\fpc generic functions test 02\project1.lpr(15,11) Error: (4000) Type mismatch
U:\32-bit\kielet\pascal\free_pascal\lazarus\projects\research\source 29\fpc generic functions test 02\project1.lpr(16,11) Error: (4000) Type mismatch
U:\32-bit\kielet\pascal\free_pascal\lazarus\projects\research\source 29\fpc generic functions test 02\project1.lpr(17,11) Error: (4000) Type mismatch
project1.lpr(24) Fatal: (10026) There were 4 errors compiling module, stopping
Fatal: (1018) Compilation aborted
Error: F:\free_pascal_and_lazarus\fpc\i386\trunk\binary\fpc_trunk\bin\i386-win32\ppc386.exe returned an error exitcode
error_output.txt (1,275 bytes)   

Cyrax

2015-11-21 20:48

reporter   ~0087466

Last edited: 2015-11-21 20:49

View 2 revisions

Updated test project (project1.zip) to newest, simplest one (project2.zip).

---

Lazarus revision 50468
FPC revision 32443
 
FPC make commands:
clean
all
install
COMPILER_OPTIONS=-gw2 -godwarfsets -godwarfmethodclassprefix -gl -O- -Xs- -Si- -vbq -XX- -dTEST_WIN32_SEH -dSYSTEM_DISABLE_INLINE -dTYPINFO_DISABLE_INLINE -dSYSUTILS_DISABLE_INLINE -dSTRINGS_DISABLE_INLINE -dWINDOWS_DISABLE_INLINE -dCTYPES_DISABLE_INLINE -dFPEXTRES_DISABLE_INLINE -dHEAPTRC_DISABLE_INLINE -dMACPAS_DISABLE_INLINE -dFPC_COMPILER_DISABLE_INLINE -dNO_SMART_LINK
INSTALL_PREFIX=F:\free_pascal_and_lazarus\fpc\i386\trunk\binary\fpc_trunk
UPXPROG=echo
IDE=1
REVSTR=32443
ALLOW_WARNINGS=1
NOWPOCYCLE=1
 
Lazarus make commands:
clean
all
OPT=-gw2 -godwarfsets -godwarfmethodclassprefix -gl -gh -O- -Xs- -Si- -vb -XX- -dTEST_WIN32_SEH -dHEAPTRC_WINDOW -dDBG_WITH_DEBUGGER_DEBUG
UPXPROG=echo
USESVN2REVISIONINC=0

Cyrax

2016-06-02 06:03

reporter  

project3.zip (1,194 bytes)

Cyrax

2016-06-02 06:08

reporter   ~0092967

Updated test project to latest one (project3.zip).

---
Lazarus revision 52415 
FPC revision 33878 
 
FPC make commands: 
clean
all
install
OPT=-gw2 -godwarfsets -godwarfmethodclassprefix -gl -O- -Xs- -Si- -vbq -dCTYPES_INLINE_OFF -dSTRINGS_INLINE_OFF -dHEAPTRC_INLINE_OFF -dWINDOWS_INLINE_OFF -dDYNLIBS_INLINE_OFF -dSYSUTILS_INLINE_OFF -dMATH_INLINE_OFF -dTYPINFO_INLINE_OFF -dCPU_INLINE_OFF -dCHARSET_INLINE_OFF -dCHARACTER_INLINE_OFF -dUNICODEDATA_INLINE_OFF -dSYSTEM_INLINE_OFF -dTEST_WIN32_SEH
COMPILER_OPTIONS=-gw2 -godwarfsets -godwarfmethodclassprefix -gl -O- -Xs- -Si- -vbq -dCTYPES_INLINE_OFF -dSTRINGS_INLINE_OFF -dHEAPTRC_INLINE_OFF -dWINDOWS_INLINE_OFF -dDYNLIBS_INLINE_OFF -dSYSUTILS_INLINE_OFF -dMATH_INLINE_OFF -dTYPINFO_INLINE_OFF -dCPU_INLINE_OFF -dCHARSET_INLINE_OFF -dCHARACTER_INLINE_OFF -dUNICODEDATA_INLINE_OFF -dSYSTEM_INLINE_OFF -dTEST_WIN32_SEH
OS_TARGET=win32
CPU_TARGET=i386
REVSTR=33878
UPXPROG=echo
IDE=1
NOWPOCYCLE=1
INSTALL_PREFIX=j:\free_pascal_and_lazarus_new4\fpc\i386\win32\binary\3.1.1\fpc_trunk\trunk
 
Lazarus make commands: 
clean
all
OPT=-gw2 -godwarfsets -godwarfmethodclassprefix -gl -gh -O- -Si- -vb -dHEAPTRC_WINDOW -dDBG_WITH_DEBUGGER_DEBUG
UPXPROG=echo
USESVN2REVISIONINC=0

Sven Barth

2016-06-03 14:14

manager   ~0092998

Please test and close if okay.

Regards,
Sven

Cyrax

2016-11-13 22:53

reporter   ~0095850

Thanks for fix.

Issue History

Date Modified Username Field Change
2015-10-12 00:32 Cyrax New Issue
2015-10-12 00:32 Cyrax File Added: project1.zip
2015-10-12 00:33 Cyrax Tag Attached: generics
2015-11-21 20:46 Cyrax File Added: project2.zip
2015-11-21 20:47 Cyrax File Added: error_output.txt
2015-11-21 20:48 Cyrax Note Added: 0087466
2015-11-21 20:49 Cyrax Note Edited: 0087466 View Revisions
2016-06-02 06:03 Cyrax File Added: project3.zip
2016-06-02 06:08 Cyrax Note Added: 0092967
2016-06-03 13:54 Sven Barth Assigned To => Sven Barth
2016-06-03 13:54 Sven Barth Status new => assigned
2016-06-03 14:14 Sven Barth Fixed in Revision => 33884
2016-06-03 14:14 Sven Barth Note Added: 0092998
2016-06-03 14:14 Sven Barth Status assigned => resolved
2016-06-03 14:14 Sven Barth Fixed in Version => 3.1.1
2016-06-03 14:14 Sven Barth Resolution open => fixed
2016-11-13 22:53 Cyrax Note Added: 0095850
2016-11-13 22:53 Cyrax Status resolved => closed